package net.wanji.utc.service.impl;

import net.wanji.utc.common.genericentity.ManufacturerRes;
import net.wanji.utc.common.typeenum.BasicEnum;
import net.wanji.utc.mapper.CrossInfoMapper;
import net.wanji.utc.po.CrossInfoPO;
import net.wanji.utc.service.HkService;
import net.wanji.utc.service.StaticInfoService;
import net.wanji.utc.common.baseentity.BaseCrossInfo;
import net.wanji.utc.common.genericentity.OutVO;
import net.wanji.utc.vo.DetailCrossInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/15 10:32
 */
@Service
public class StaticInfoServiceImpl implements StaticInfoService {
    @Autowired
    HkService hkService;
    @Autowired
    CrossInfoMapper crossInfoMapper;

    @Override
    public ManufacturerRes<DetailCrossInfoVO> crossBasicInfo(OutVO<BaseCrossInfo> outVO) {
        List<CrossInfoPO> crossInfoPOList = new ArrayList<>();
        ManufacturerRes<DetailCrossInfoVO> res = new ManufacturerRes<>();
        if (Objects.equals(BasicEnum.ManufacturerEnum.HK.getAbbr(), outVO.getManufacturerAbbr())) {
            crossInfoPOList = hkService.crossBasicInfo();
        } else {
            // todo 其他厂商
        }
        //存储信号机信息
        if (crossInfoPOList.size() == 0) {
            return null;
        }
        crossInfoMapper.insertBatch(crossInfoPOList);
        return res;
    }
}
